export declare type MappedLink<Link> = {
    href?: string;
    label: string;
    isButton: boolean;
    highlightText?: string;
    order: number;
    links?: Link[];
};
export declare type LinkFormatted<IconFormatted> = {
    label: string;
    href: string;
    highlight?: boolean;
    icon?: IconFormatted;
};
export declare type IconFormatted = {
    alternativeText: string;
    caption: string;
    url: string;
};
export interface HeaderProps {
    webProperty: 'originprotocol' | 'ousd' | 'story';
    mappedLinks: MappedLink<LinkFormatted<IconFormatted>>[];
    language?: string;
}
export declare const Header: ({ webProperty, mappedLinks, language, }: HeaderProps) => JSX.Element;
